< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs102
  Definition Classes
    accounts
-  package boxes
  Definition Classes
    frs102
-  package loansToDirectors
  Definition Classes
    boxes
-  package relatedPartyTransactions
  Definition Classes
    boxes
- AC106
- AC106A
- AC107
- AC114
- AC114A
- AC114B
- AC115
- AC115A
- AC115B
- AC116
- AC116A
- AC116B
- AC117
- AC117A
- AC117B
- AC118
- AC118A
- AC118B
- AC119
- AC119A
- AC119B
- AC120
- AC120A
- AC120B
- AC121
- AC121A
- AC121B
- AC122
- AC122A
- AC122B
- AC123
- AC123A
- AC123B
- AC124
- AC124A
- AC124B
- AC124C
- AC124D
- AC124E
- AC125
- AC125A
- AC125B
- AC125C
- AC125D
- AC125E
- AC126
- AC126A
- AC126B
- AC126C
- AC126D
- AC126E
- AC127
- AC127A
- AC127B
- AC127C
- AC127D
- AC127E
- AC128
- AC128A
- AC128B
- AC128C
- AC128D
- AC128E
- AC129
- AC129A
- AC129B
- AC129C
- AC129D
- AC129E
- AC130
- AC130A
- AC130B
- AC130C
- AC130D
- AC130E
- AC131
- AC131A
- AC131B
- AC131C
- AC131D
- AC131E
- AC132
- AC132A
- AC132B
- AC132C
- AC132D
- AC132E
- AC133
- AC133A
- AC133B
- AC133C
- AC133D
- AC133E
- AC134
- AC135
- AC136
- AC137
- AC138
- AC138B
- AC139
- AC139B
- AC140
- AC141
- AC142
- AC143
- AC144
- AC145
- AC146
- AC147
- AC148
- AC149
- AC150
- AC150B
- AC151
- AC151B
- AC152
- AC153
- AC154
- AC155
- AC156
- AC157
- AC158
- AC159
- AC160
- AC161
- AC162
- AC163
- AC18
- AC187
- AC188
- AC189
- AC19
- AC190
- AC20
- AC200
- AC200A
- AC209
- AC209A
- AC209B
- AC21
- AC210
- AC210A
- AC210B
- AC211
- AC211A
- AC211B
- AC212
- AC212A
- AC212B
- AC212C
- AC212D
- AC212E
- AC213
- AC213A
- AC213B
- AC213C
- AC213D
- AC213E
- AC214
- AC214A
- AC214B
- AC214C
- AC214D
- AC214E
- AC217
- AC219
- AC22
- AC23
- AC26
- AC27
- AC28
- AC29
- AC30
- AC31
- AC32
- AC320
- AC320A
- AC321
- AC322
- AC323
- AC324
- AC33
- AC34
- AC35
- AC36
- AC37
- AC42
- AC43
- AC44
- AC45
- AC48
- AC49
- AC50
- AC5032
- AC5052A
- AC5052B
- AC5052C
- AC5058A
- AC5064A
- AC5076C
- AC51
- AC5123
- AC5133
- AC52
- AC53
- AC54
- AC55
- AC56
- AC57
- AC58
- AC59
- AC60
- AC61
- AC62
- AC63
- AC64
- AC65
- AC66
- AC67
- AC68
- AC69
- AC70
- AC71
- AC7100
- AC7110A
- AC7200
- AC7210
- AC7210A
- AC7210B
- AC7300
- AC74
- AC7400
- AC7401
- AC75
- AC7500
- AC76
- AC7600
- AC7601
- AC77
- AC7800
- AC7900
- AC7901
- AC80
- AC8084
- AC8085
- AC81
- ACQ5021
- ACQ5022
- ACQ5031
- ACQ5032
- ACQ5033
- ACQ5034
- ACQ5035

o

uk.gov.hmrc.ct.accounts.frs102.boxes

# AC61 

###
Companion class AC61

#### object AC61 extends Calculated[AC61, Frs102AccountsBoxRetriever] with NetCurrentAssetsLiabilitiesCalculator with Serializable

Linear Supertypes
Serializable, Serializable, NetCurrentAssetsLiabilitiesCalculator, CtTypeConverters, Calculated[AC61, Frs102AccountsBoxRetriever], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC61
2. Serializable
3. Serializable
4. NetCurrentAssetsLiabilitiesCalculator
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(boxRetriever: Frs102AccountsBoxRetriever): AC61
   Definition Classes
     AC61 → Calculated
6.  def calculateCurrentNetCurrentAssetsLiabilities(ac56: AC56, ac138B: AC138B, ac58: AC58): AC60
   Definition Classes
     NetCurrentAssetsLiabilitiesCalculator
7.  def calculatePreviousNetCurrentAssetsLiabilities(ac57: AC57, ac139B: AC139B, ac59: AC59): AC61
   Definition Classes
     NetCurrentAssetsLiabilitiesCalculator
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
   Definition Classes
     CtTypeConverters
10.  implicit def convert(catoInt: CtOptionalInteger): Int
    Definition Classes
      CtTypeConverters
11.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
12.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
13.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from NetCurrentAssetsLiabilitiesCalculator

### Inherited from CtTypeConverters

### Inherited from Calculated[AC61, Frs102AccountsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped